<?php
/*
 * Template Name: Course Catalog
*/

global $template_file;				
global $paged;
global $cat_string;
global $format;

if( get_post_custom_values('course_post_count') ) :  
	$post_array = get_post_custom_values('course_post_count');
	$post_count = join(',', $post_array);
else : 
	$post_count = -1;
endif;

/* Get CUSTOM TAXONOMY (category in this case) */

if(get_custom_field( 'course_category_filter' )) :
	$cats = get_custom_field( 'course_category_filter' );
endif;

// Get Polytechnic Courses
	$mypost = array(
	'post_type'	=> 'polytechnic_courses',
	'tax_query' => array(
		array(
			'taxonomy' => 'polytechnic_courses_category', // THIS IS THE FORMAL TAXOMONY SLUG
			'field' => 'id',
			'terms' => $cats // Should return an array of category (taxonomy) IDs - ie: array( 43, 66, 108 ) - NOT just the numbers!
		)
	),
	'orderby'			=> 'title',
	'order'				=> 'ASC',
	//'cat'=>$cat_string,			   // Query for the cat ID's (because you can't use multiple names or slugs... crazy WP!)
	'posts_per_page'=>$post_count, // Set a posts per page limit
	'paged'=>$paged			   // Basic pagination stuff.
 );

get_header(); ?>

<!-- ============================================== -->

	<div id="primary" class="<?php echo esc_attr( $myth_primary_layout_classes ); ?> course-catalog">		

		<!-- PAGE HEADER -->
		<?php if(get_custom_field('show_header') == 'on' OR get_custom_field('show_header') == 'Yes' ) : ?>
		<div id="page-header">

			<!-- Page Title -->
			<?php if(get_custom_field('show_title') == 'on' OR get_custom_field('show_title') == 'Yes' ) : ?>
			<h1 class="entry-title"><?php the_title(); ?></h1>
			<?php endif; ?>
			
			<!-- Page Breadcrumbs -->
			<?php if(get_custom_field('show_breadcrumbs') == 'on' OR get_custom_field('show_breadcrumbs') == 'Yes' ) : ?>
			<div class="breadcrumbs">
				<?php print mythology_breadcrumbs(); ?><br />
			</div>
			<?php endif; ?>

			<hr class="title"/>
		</div>
		<?php endif; ?>
		<!-- End Page Header -->

		<!-- PAGE CONTENT -->
		<div class="page-content clearfix">
			<?php while ( have_posts() ) : the_post(); if($post->post_content != "") : ?>	
				<?php the_content(); ?>
			<?php endif; endwhile; ?>	
		</div>
	

		<!-- ============================================== -->		

	
		<!-- PAGE CONTENT -->
		<main id="main" class="site-main course-catalog" role="main">		

			<div class="course-search">   
			    <h3>Search Courses</h3>
			    <form role="search" action="<?php echo esc_url( site_url('/') ); ?>" method="get" id="searchform">
				    <input class="course-search-field fourteen columns alpha" type="text" name="s" placeholder="Search Courses"/>
				    <input type="hidden" name="post_type" value="polytechnic_courses" /> <!-- // hidden 'products' value -->
				    <input class="course-search-button two columns omega" type="submit" alt="Search" value="Search" />
			  	</form>
			 </div>					
			
			<!-- THE POST QUERY -->
			<!-- This one's special because it'll look for our category filter and apply some magic -->
			<?php wp_reset_query(); ?>

			<?php 
			global $mypost;

			$loop = new WP_Query( $mypost ); ?>


				<!-- Cycle through all posts -->
			    <?php if ( $loop->have_posts() ) : ?>

			<!-- Start the table -->
					<table id="course-list" class="responsive">
						<tbody>

							<!-- Start the table header row -->
							<tr class="course-list-header">
								<th class="course-id">
									<?php _e( 'Course ID', 'mythology' ); ?>
								</th>
								<th class="course-number">
									<?php _e( 'Course Number', 'mythology' ); ?>
								</th>
								<th class="course-name">
									<?php _e( 'Course Name', 'mythology' ); ?>
								</th>
								<th class="course-instructor">
									<?php _e( 'Instructor', 'mythology' ); ?>
								</th>
								<th class="course-room-number">
									<?php _e( 'Room Number', 'mythology' ); ?>
								</th>
								<th class="course-days">
									<?php _e( 'Days', 'mythology' ); ?>
								</th>
								<th class="course-time">
									<?php _e( 'Time', 'mythology' ); ?>
								</th>
							</tr>
							<!-- /End the table header row -->

			<?php while ( $loop->have_posts() ) : $loop->the_post();?>

							<?php
								/* Include the Post-Format-specific template for the content.
								 * If you want to override this in a child theme, then include a file
								 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
								 */
								get_template_part( 'theme-core/theme-elements/content', 'course-list' );
								//get_template_part( 'theme-core/theme-elements/content', 'authorgrid' );
							?>

			<?php endwhile; ?>

				</tbody>
			</table>
			<!-- /End the table -->	

					<?php mythology_content_nav( 'nav-below' ); ?>

				<?php else : ?>

					<?php get_template_part( 'theme-core/theme-elements/content', 'none' ); ?>

				<?php endif; ?>
							
		</main>

		
	</div>

<?php include ( get_template_directory() . "/sidebar.php"); ?>
<?php include ( get_template_directory() . "/footer.php"); ?>